## linux-restricted-modules 5.15.0-130.140

=== debian/ancillary/linux-restricted-generate/debian/changelog ===
linux-restricted-generate (5.15.0-130.140) jammy; urgency=medium

  * Main version: 5.15.0-130.140

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Mehmet Basaran <mehmet.basaran@canonical.com>  Wed, 18 Dec 2024 20:41:13 +0300

linux-restricted-generate (5.15.0-128.138+1) jammy; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (adhoc/s2024.10.28)

 -- Andy Whitcroft <apw@canonical.com>  Sat, 14 Dec 2024 01:16:58 +0000

linux-restricted-generate (5.15.0-128.138) jammy; urgency=medium

  * Main version: 5.15.0-128.138

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Manuel Diewald <manuel.diewald@canonical.com>  Sat, 30 Nov 2024 20:09:38 +0100

linux-restricted-generate (5.15.0-127.137) jammy; urgency=medium

  * Main version: 5.15.0-127.137

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Mehmet Basaran <mehmet.basaran@canonical.com>  Fri, 08 Nov 2024 17:19:38 +0300

linux-restricted-generate (5.15.0-126.136) jammy; urgency=medium

  * Main version: 5.15.0-126.136

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

  * jammy/linux: <version to be filled> -proposed tracker (LP: #2086027)
    - [Packaging] resync git-ubuntu-log

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 06 Nov 2024 10:46:42 +0100
