## linux-restricted-modules 5.15.0-132.143

=== debian/ancillary/linux-restricted-generate/debian/changelog ===
linux-restricted-generate (5.15.0-132.143) jammy; urgency=medium

  * Main version: 5.15.0-132.143

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 15 Jan 2025 15:57:12 +0100

linux-restricted-generate (5.15.0-132.142) jammy; urgency=medium

  * Main version: 5.15.0-132.142

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Mehmet Basaran <mehmet.basaran@canonical.com>  Mon, 13 Jan 2025 04:03:42 +0300

linux-restricted-generate (5.15.0-131.141) jammy; urgency=medium

  * Main version: 5.15.0-131.141

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Manuel Diewald <manuel.diewald@canonical.com>  Fri, 10 Jan 2025 21:01:38 +0100
