=== debian/ancillary/linux-restricted-signatures/debian/changelog ===
linux-restricted-signatures (5.15.0-142.152) jammy; urgency=medium

  * Main version: 5.15.0-142.152

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/2025.05.19)

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 19 May 2025 12:35:51 +0200

linux-restricted-signatures (5.15.0-140.150) jammy; urgency=medium

  * Main version: 5.15.0-140.150

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Mehmet Basaran <mehmet.basaran@canonical.com>  Sat, 12 Apr 2025 08:40:24 +0300

linux-restricted-signatures (5.15.0-138.148) jammy; urgency=medium

  * Main version: 5.15.0-138.148

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/2025.03.17)

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 14 Mar 2025 16:56:52 +0100

linux-restricted-signatures (5.15.0-135.146) jammy; urgency=medium

  * Main version: 5.15.0-135.146

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Mehmet Basaran <mehmet.basaran@canonical.com>  Fri, 14 Feb 2025 15:38:12 +0300

linux-restricted-signatures (5.15.0-133.144) jammy; urgency=medium

  * Main version: 5.15.0-133.144

 -- Manuel Diewald <manuel.diewald@canonical.com>  Fri, 07 Feb 2025 19:12:12 +0100
