=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  curl,
  dkms,
  gawk,
- linux-headers-5.15.0-132-generic (>= 5.15.0-132.143) [amd64 arm64],
- linux-headers-5.15.0-132-generic-64k (>= 5.15.0-132.143) [arm64],
+ linux-headers-5.15.0-142-generic (>= 5.15.0-142.152) [amd64 arm64],
+ linux-headers-5.15.0-142-generic-64k (>= 5.15.0-142.152) [arm64],
  lsb-release,
  python3,
  python3-apt,
@@ -19,11 +19,13 @@
  nvidia-graphics-drivers-450-server (= 450.248.02-0ubuntu0.22.04.1),
  nvidia-graphics-drivers-470 (= 470.256.02-0ubuntu0.22.04.1),
  nvidia-graphics-drivers-470-server (= 470.256.02-0ubuntu0.22.04.1),
- nvidia-graphics-drivers-535 (= 535.183.01-0ubuntu0.22.04.1),
- nvidia-graphics-drivers-535-server (= 535.216.03-0ubuntu0.22.04.1),
- nvidia-graphics-drivers-550 (= 550.120-0ubuntu0.22.04.1),
- nvidia-graphics-drivers-550-server (= 550.127.08-0ubuntu0.22.04.1),
+ nvidia-graphics-drivers-535 (= 535.230.02-0ubuntu0.22.04.1),
+ nvidia-graphics-drivers-535-server (= 535.247.01-0ubuntu0.22.04.1),
+ nvidia-graphics-drivers-550 (= 550.144.03-0ubuntu0.22.04.1),
+ nvidia-graphics-drivers-550-server (= 550.163.01-0ubuntu0.22.04.1),
  nvidia-graphics-drivers-565-server (= 565.57.01-0ubuntu0.22.04.4),
+ nvidia-graphics-drivers-570 (= 570.133.07-0ubuntu0.22.04.1),
+ nvidia-graphics-drivers-570-server (= 570.133.20-0ubuntu0.22.04.1),
 Standards-Version: 3.9.4
 Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-restricted-modules/+git/jammy
 
@@ -146,7 +148,7 @@
 Provides: ${dkms:nvidia-390-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-390-5.15.0-132-generic (= ${binary:Version}),
+ linux-modules-nvidia-390-5.15.0-142-generic (= ${binary:Version}),
  ${nvk:nvidia-390},
 Description: Extra drivers for nvidia-390 for the generic flavour
  Install extra signed nvidia-390 modules compatible with the generic flavour.
@@ -158,7 +160,7 @@
 Provides: ${dkms:nvidia-470-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-470-5.15.0-132-generic (= ${binary:Version}),
+ linux-modules-nvidia-470-5.15.0-142-generic (= ${binary:Version}),
  ${nvk:nvidia-470},
 Description: Extra drivers for nvidia-470 for the generic flavour
  Install extra signed nvidia-470 modules compatible with the generic flavour.
@@ -170,7 +172,7 @@
 Provides: ${dkms:nvidia-535-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-5.15.0-132-generic (= ${binary:Version}),
+ linux-modules-nvidia-535-5.15.0-142-generic (= ${binary:Version}),
  ${nvk:nvidia-535},
 Description: Extra drivers for nvidia-535 for the generic flavour
  Install extra signed nvidia-535 modules compatible with the generic flavour.
@@ -182,7 +184,7 @@
 Provides: ${dkms:nvidia-535-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-open-5.15.0-132-generic (= ${binary:Version}),
+ linux-modules-nvidia-535-open-5.15.0-142-generic (= ${binary:Version}),
  ${nvk:nvidia-535-open},
 Description: Extra drivers for nvidia-535-open for the generic flavour
  Install extra signed nvidia-535-open modules compatible with the generic flavour.
@@ -194,7 +196,7 @@
 Provides: ${dkms:nvidia-550-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-550-5.15.0-132-generic (= ${binary:Version}),
+ linux-modules-nvidia-550-5.15.0-142-generic (= ${binary:Version}),
  ${nvk:nvidia-550},
 Description: Extra drivers for nvidia-550 for the generic flavour
  Install extra signed nvidia-550 modules compatible with the generic flavour.
@@ -206,11 +208,35 @@
 Provides: ${dkms:nvidia-550-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-550-open-5.15.0-132-generic (= ${binary:Version}),
+ linux-modules-nvidia-550-open-5.15.0-142-generic (= ${binary:Version}),
  ${nvk:nvidia-550-open},
 Description: Extra drivers for nvidia-550-open for the generic flavour
  Install extra signed nvidia-550-open modules compatible with the generic flavour.
 
+Package: linux-modules-nvidia-570-generic
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-570-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-570-5.15.0-142-generic (= ${binary:Version}),
+ ${nvk:nvidia-570},
+Description: Extra drivers for nvidia-570 for the generic flavour
+ Install extra signed nvidia-570 modules compatible with the generic flavour.
+
+Package: linux-modules-nvidia-570-open-generic
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-570-open-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-570-open-5.15.0-142-generic (= ${binary:Version}),
+ ${nvk:nvidia-570-open},
+Description: Extra drivers for nvidia-570-open for the generic flavour
+ Install extra signed nvidia-570-open modules compatible with the generic flavour.
+
 Package: linux-modules-nvidia-450-server-generic
 Build-Profiles: <!stage1>
 Architecture: amd64 
@@ -218,7 +244,7 @@
 Provides: ${dkms:nvidia-450-server-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-450-server-5.15.0-132-generic (= ${binary:Version}),
+ linux-modules-nvidia-450-server-5.15.0-142-generic (= ${binary:Version}),
  ${nvk:nvidia-450-server},
 Description: Extra drivers for nvidia-450-server for the generic flavour
  Install extra signed nvidia-450-server modules compatible with the generic flavour.
@@ -230,7 +256,7 @@
 Provides: ${dkms:nvidia-470-server-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-470-server-5.15.0-132-generic (= ${binary:Version}),
+ linux-modules-nvidia-470-server-5.15.0-142-generic (= ${binary:Version}),
  ${nvk:nvidia-470-server},
 Description: Extra drivers for nvidia-470-server for the generic flavour
  Install extra signed nvidia-470-server modules compatible with the generic flavour.
@@ -242,7 +268,7 @@
 Provides: ${dkms:nvidia-535-server-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-server-5.15.0-132-generic (= ${binary:Version}),
+ linux-modules-nvidia-535-server-5.15.0-142-generic (= ${binary:Version}),
  ${nvk:nvidia-535-server},
 Description: Extra drivers for nvidia-535-server for the generic flavour
  Install extra signed nvidia-535-server modules compatible with the generic flavour.
@@ -254,29 +280,4 @@
 Provides: ${dkms:nvidia-535-server-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-server-open-5.15.0-132-generic (= ${binary:Version}),
- ${nvk:nvidia-535-server-open},
-Description: Extra drivers for nvidia-535-server-open for the generic flavour
- Install extra signed nvidia-535-server-open modules compatible with the generic flavour.
-
-Package: linux-modules-nvidia-550-server-generic
-Build-Profiles: <!stage1>
-Architecture: amd64 arm64 
-Section: kernel
-Provides: ${dkms:nvidia-550-server-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-550-server-5.15.0-132-generic (= ${binary:Version}),
- ${nvk:nvidia-550-server},
-Description: Extra drivers for nvidia-550-server for the generic flavour
- Install extra signed nvidia-550-server modules compatible with the generic flavour.
-
-Package: linux-modules-nvidia-550-server-open-generic
-Build-Profiles: <!stage1>
-Architecture: amd64 arm64 
-Section: kernel
-Provides: ${dkms:nvidia-550-server-open-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-550-server-open-5.15.0-132-generic (= ${binary:Version}),
- ${nvk:nvidia-550-server-open},
+ linux-modules-nvidia-535-server-open-5.15.0-142-generic (= ${binary:Version}),
