## linux-restricted-modules 5.15.0-143.153

=== debian/ancillary/linux-restricted-generate/debian/changelog ===
linux-restricted-generate (5.15.0-143.153) jammy; urgency=medium

  * Main version: 5.15.0-143.153

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Manuel Diewald <manuel.diewald@canonical.com>  Fri, 13 Jun 2025 17:59:45 +0200
