=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  curl,
  dkms,
  gawk,
- linux-headers-5.15.0-142-generic (>= 5.15.0-142.152) [amd64 arm64],
- linux-headers-5.15.0-142-generic-64k (>= 5.15.0-142.152) [arm64],
+ linux-headers-5.15.0-143-generic (>= 5.15.0-143.153) [amd64 arm64],
+ linux-headers-5.15.0-143-generic-64k (>= 5.15.0-143.153) [arm64],
  lsb-release,
  python3,
  python3-apt,
@@ -141,143 +141,139 @@
 Description: Extra drivers for nvidia-510-server-generic-hwe-20.04-edge (dummy transitional package)
  Transitional package for upgrades of 510-server-generic-hwe-20.04-edge to 510-server-generic-hwe-22.04-edge.
 
-Package: linux-modules-nvidia-390-generic
+Package: linux-modules-nvidia-390-generic-5.15
 Build-Profiles: <!stage1>
 Architecture: amd64 
 Section: kernel
 Provides: ${dkms:nvidia-390-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-390-5.15.0-142-generic (= ${binary:Version}),
+ linux-modules-nvidia-390-5.15.0-143-generic (= ${binary:Version}),
  ${nvk:nvidia-390},
-Description: Extra drivers for nvidia-390 for the generic flavour
- Install extra signed nvidia-390 modules compatible with the generic flavour.
-
-Package: linux-modules-nvidia-470-generic
+Description: Extra drivers for nvidia-390 for the generic-5.15 flavour
+ Install extra signed nvidia-390 modules compatible with the generic-5.15 flavour.
+
+Package: linux-modules-nvidia-470-generic-5.15
 Build-Profiles: <!stage1>
 Architecture: amd64 
 Section: kernel
 Provides: ${dkms:nvidia-470-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-470-5.15.0-142-generic (= ${binary:Version}),
+ linux-modules-nvidia-470-5.15.0-143-generic (= ${binary:Version}),
  ${nvk:nvidia-470},
-Description: Extra drivers for nvidia-470 for the generic flavour
- Install extra signed nvidia-470 modules compatible with the generic flavour.
-
-Package: linux-modules-nvidia-535-generic
+Description: Extra drivers for nvidia-470 for the generic-5.15 flavour
+ Install extra signed nvidia-470 modules compatible with the generic-5.15 flavour.
+
+Package: linux-modules-nvidia-535-generic-5.15
 Build-Profiles: <!stage1>
 Architecture: amd64 arm64 
 Section: kernel
 Provides: ${dkms:nvidia-535-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-5.15.0-142-generic (= ${binary:Version}),
+ linux-modules-nvidia-535-5.15.0-143-generic (= ${binary:Version}),
  ${nvk:nvidia-535},
-Description: Extra drivers for nvidia-535 for the generic flavour
- Install extra signed nvidia-535 modules compatible with the generic flavour.
-
-Package: linux-modules-nvidia-535-open-generic
+Description: Extra drivers for nvidia-535 for the generic-5.15 flavour
+ Install extra signed nvidia-535 modules compatible with the generic-5.15 flavour.
+
+Package: linux-modules-nvidia-535-open-generic-5.15
 Build-Profiles: <!stage1>
 Architecture: amd64 arm64 
 Section: kernel
 Provides: ${dkms:nvidia-535-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-open-5.15.0-142-generic (= ${binary:Version}),
+ linux-modules-nvidia-535-open-5.15.0-143-generic (= ${binary:Version}),
  ${nvk:nvidia-535-open},
-Description: Extra drivers for nvidia-535-open for the generic flavour
- Install extra signed nvidia-535-open modules compatible with the generic flavour.
-
-Package: linux-modules-nvidia-550-generic
+Description: Extra drivers for nvidia-535-open for the generic-5.15 flavour
+ Install extra signed nvidia-535-open modules compatible with the generic-5.15 flavour.
+
+Package: linux-modules-nvidia-550-generic-5.15
 Build-Profiles: <!stage1>
 Architecture: amd64 arm64 
 Section: kernel
 Provides: ${dkms:nvidia-550-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-550-5.15.0-142-generic (= ${binary:Version}),
+ linux-modules-nvidia-550-5.15.0-143-generic (= ${binary:Version}),
  ${nvk:nvidia-550},
-Description: Extra drivers for nvidia-550 for the generic flavour
- Install extra signed nvidia-550 modules compatible with the generic flavour.
-
-Package: linux-modules-nvidia-550-open-generic
+Description: Extra drivers for nvidia-550 for the generic-5.15 flavour
+ Install extra signed nvidia-550 modules compatible with the generic-5.15 flavour.
+
+Package: linux-modules-nvidia-550-open-generic-5.15
 Build-Profiles: <!stage1>
 Architecture: amd64 arm64 
 Section: kernel
 Provides: ${dkms:nvidia-550-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-550-open-5.15.0-142-generic (= ${binary:Version}),
+ linux-modules-nvidia-550-open-5.15.0-143-generic (= ${binary:Version}),
  ${nvk:nvidia-550-open},
-Description: Extra drivers for nvidia-550-open for the generic flavour
- Install extra signed nvidia-550-open modules compatible with the generic flavour.
-
-Package: linux-modules-nvidia-570-generic
+Description: Extra drivers for nvidia-550-open for the generic-5.15 flavour
+ Install extra signed nvidia-550-open modules compatible with the generic-5.15 flavour.
+
+Package: linux-modules-nvidia-570-generic-5.15
 Build-Profiles: <!stage1>
 Architecture: amd64 arm64 
 Section: kernel
 Provides: ${dkms:nvidia-570-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-570-5.15.0-142-generic (= ${binary:Version}),
+ linux-modules-nvidia-570-5.15.0-143-generic (= ${binary:Version}),
  ${nvk:nvidia-570},
-Description: Extra drivers for nvidia-570 for the generic flavour
- Install extra signed nvidia-570 modules compatible with the generic flavour.
-
-Package: linux-modules-nvidia-570-open-generic
+Description: Extra drivers for nvidia-570 for the generic-5.15 flavour
+ Install extra signed nvidia-570 modules compatible with the generic-5.15 flavour.
+
+Package: linux-modules-nvidia-570-open-generic-5.15
 Build-Profiles: <!stage1>
 Architecture: amd64 arm64 
 Section: kernel
 Provides: ${dkms:nvidia-570-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-570-open-5.15.0-142-generic (= ${binary:Version}),
+ linux-modules-nvidia-570-open-5.15.0-143-generic (= ${binary:Version}),
  ${nvk:nvidia-570-open},
-Description: Extra drivers for nvidia-570-open for the generic flavour
- Install extra signed nvidia-570-open modules compatible with the generic flavour.
-
-Package: linux-modules-nvidia-450-server-generic
+Description: Extra drivers for nvidia-570-open for the generic-5.15 flavour
+ Install extra signed nvidia-570-open modules compatible with the generic-5.15 flavour.
+
+Package: linux-modules-nvidia-450-server-generic-5.15
 Build-Profiles: <!stage1>
 Architecture: amd64 
 Section: kernel
 Provides: ${dkms:nvidia-450-server-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-450-server-5.15.0-142-generic (= ${binary:Version}),
+ linux-modules-nvidia-450-server-5.15.0-143-generic (= ${binary:Version}),
  ${nvk:nvidia-450-server},
-Description: Extra drivers for nvidia-450-server for the generic flavour
- Install extra signed nvidia-450-server modules compatible with the generic flavour.
-
-Package: linux-modules-nvidia-470-server-generic
+Description: Extra drivers for nvidia-450-server for the generic-5.15 flavour
+ Install extra signed nvidia-450-server modules compatible with the generic-5.15 flavour.
+
+Package: linux-modules-nvidia-470-server-generic-5.15
 Build-Profiles: <!stage1>
 Architecture: amd64 
 Section: kernel
 Provides: ${dkms:nvidia-470-server-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-470-server-5.15.0-142-generic (= ${binary:Version}),
+ linux-modules-nvidia-470-server-5.15.0-143-generic (= ${binary:Version}),
  ${nvk:nvidia-470-server},
-Description: Extra drivers for nvidia-470-server for the generic flavour
- Install extra signed nvidia-470-server modules compatible with the generic flavour.
-
-Package: linux-modules-nvidia-535-server-generic
+Description: Extra drivers for nvidia-470-server for the generic-5.15 flavour
+ Install extra signed nvidia-470-server modules compatible with the generic-5.15 flavour.
+
+Package: linux-modules-nvidia-535-server-generic-5.15
 Build-Profiles: <!stage1>
 Architecture: amd64 arm64 
 Section: kernel
 Provides: ${dkms:nvidia-535-server-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-server-5.15.0-142-generic (= ${binary:Version}),
+ linux-modules-nvidia-535-server-5.15.0-143-generic (= ${binary:Version}),
  ${nvk:nvidia-535-server},
-Description: Extra drivers for nvidia-535-server for the generic flavour
- Install extra signed nvidia-535-server modules compatible with the generic flavour.
-
-Package: linux-modules-nvidia-535-server-open-generic
-Build-Profiles: <!stage1>
-Architecture: amd64 arm64 
-Section: kernel
-Provides: ${dkms:nvidia-535-server-open-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-535-server-open-5.15.0-142-generic (= ${binary:Version}),
+Description: Extra drivers for nvidia-535-server for the generic-5.15 flavour
+ Install extra signed nvidia-535-server modules compatible with the generic-5.15 flavour.
+
+Package: linux-modules-nvidia-535-server-open-generic-5.15
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
